package ru.yandex.webmaster3.api.http.rest.request;

import ru.yandex.webmaster3.core.http.internal.ParameterInfo;

import java.util.Optional;

/**
 * @author avhaliullin
 */
public interface ApiRequestParameterFilter<T> {
    Optional<String> applyFilter(ParameterInfo parameter, T value);

    Optional<String> describe(ParameterInfo parameter);
}
